Skip to main content
POST
/
sourcing
/
advanced
/
profiles
/
count
Advance Sourcing API endpoint — count profiles
curl --request POST \
  --url https://app.leonar.app/api/v1/sourcing/advanced/profiles/count \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "job_titles": [
    "VP of Sales"
  ],
  "companies": [
    "Salesforce",
    "HubSpot"
  ],
  "locations": [
    "United States"
  ]
}
'
{
  "data": {
    "total_results": 100000,
    "credits": {
      "credits_used": 0
    }
  }
}

Authorizations

Authorization
string
header
required

API key starting with leo_

Body

application/json
job_titles
string[]
Maximum array length: 50
companies
string[]
Maximum array length: 50
locations
string[]
Maximum array length: 50
industries
string[]
Maximum array length: 50
skills
string[]
Maximum array length: 50
seniorities
string[]
Maximum array length: 50
job_functions
string[]
Maximum array length: 50
current_titles_only
boolean
default:true
match_experience
enum<string>
default:current
Available options:
current,
past,
current_or_past

Response

Matching profile count.

data
object